org.apache.tomcat.websocket

## Class Util.DecoderMatch

- java.lang.Object
- - org.apache.tomcat.websocket.Util.DecoderMatch

- Enclosing class:
    Util

      public static class Util.DecoderMatch
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util.DecoderMatch(Class<?> target, List<DecoderEntry> decoderEntries)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Class<? extends Decoder>>` | `getBinaryDecoders()`
    `Class<?>` | `getTarget()`
    `List<Class<? extends Decoder>>` | `getTextDecoders()`
    `boolean` | `hasMatches()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util.DecoderMatch

          public Util.DecoderMatch(Class<?> target,
                           List<DecoderEntry> decoderEntries)

  - ### Method Detail

    - #### getTextDecoders

          public List<Class<? extends Decoder>> getTextDecoders()

    - #### getBinaryDecoders

          public List<Class<? extends Decoder>> getBinaryDecoders()

    - #### getTarget

          public Class<?> getTarget()

    - #### hasMatches

          public boolean hasMatches()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.